function [ trojuhelnik ] = VytvorTrojuhelnik( rozmer )
%VYTVORTROJUHELNIK Summary of this function goes here
%   Detailed explanation goes here

%% Iniciace promennych
t = zeros(max(rozmer)); % tvorba prvni matici
t2 = zeros(max(rozmer)); % tvorba druhe matice
trojuhelnik = zeros(max(rozmer)); % tvorba finalni matice
bodA = [size(t,1), 1]; % definovani bodu A
bodB = [size(t,1), rozmer(1) + 1]; % definovani bodu B

%% Zakresleni znamych bodu do matice
t(bodA(1), bodA(2)) = 1; % zakresleni bodu A
t2(bodB(1), bodB(2)) = 1; % zakresleni bodu B

%% Vypocet vzdalenosti od bodu
t = bwdist(t); % vypocet vzdalenosti pixelu od bodu A
t2 = bwdist(t2); % vypocet vzdalenosti pixelu od bodu B

%% Vypocet rozdilu celkove vzdalenosti od obou bodu
vzd = []; % iniciace promenne
for i = 1:size(t,1)^2 % iteracni vypocet vzdalenosti
    vzdA = abs(t(i) - rozmer(3)); % rozdil vzdalenosti mezi ramenem2 od A a pixelem t(i,j)
    vzdB = abs(t2(i) - rozmer(2)); % rozdil vzdalenosti mezi ramenem2 od A a pixelem t(i,j)
    vzd = [vzd vzdA+vzdB]; % celkovy rozdil vzdalenosti zapsan do rady
end

[~,b] = min(vzd); % nalezeni indexu pixelu s nejmensi rozdilem vzdalenosti
trojuhelnik(b) = 1; % zakresleni pixelu do matice
[o,p] = find(trojuhelnik==1); % urceni souradnic pixelu s hdnotou 1
bodC = [o p]; % definice bodu C
trojuhelnik(bodA(1), bodA(2)) = 1; % zakresleni bodu A do finalni matice
trojuhelnik(bodB(1), bodB(2)) = 1; % zakresleni bodu B do finalni matice

%% Propojeni bodu 
t = roipoly(trojuhelnik, [bodA(2) bodB(2) bodC(2)],...
    [bodA(1) bodB(1) bodC(1)]); % propojeni bodu A,B,C

c = find(t==1); % najit indexy mnohouhelniku

d1 = 1;
d2 = ceil(max(c)/ length(t));

c2 = find(t'==1);

e1 = ceil(min(c2)/size(t,1));

trojuhelnik = t(e1:end, d1:d2); % "vyriznuti" pozadovane casti mnohouhelniku
trojuhelnik(:,1) = [];


%% Zobrazeni 
%imshow(trojuhelnik);
end

